<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile doxygen_version="1.9.8">
  <compound kind="class">
    <name>Kpgp::Config</name>
    <filename>classKpgp_1_1Config.html</filename>
  </compound>
  <compound kind="class">
    <name>Kpgp::Key</name>
    <filename>classKpgp_1_1Key.html</filename>
    <member kind="function">
      <type></type>
      <name>Key</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>af878a51ec548fb61be37bf2081e8ab92</anchor>
      <arglist>(const KeyID &amp;keyid=KeyID(), const TQString &amp;uid=TQString(), const bool secret=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>af35203c2964cc14d9814b139dd0e2768</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>secret</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a57e54d44997293386a7340db808b82d1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>revoked</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>aa98d1f2d4efa3ba730fa19ad04d8db18</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>expired</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>abb40856e4bb3d37ab37acf75b6a5095a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>disabled</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>aa738357c5e7628bfec19dfab60b43414</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>invalid</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a24b3f557e1c07d1241c8c8177cf3dd25</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canEncrypt</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a877b78389f26c6d4ea7f65be11db4ffc</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canSign</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a75f815236868cf6c238404d357372292</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canCertify</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a116d04d6943eb0f40c4729b2dcd842a0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSecret</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a3cd64c4a8ae324a8382050df77bf4869</anchor>
      <arglist>(const bool secret)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRevoked</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>ae734177a6d5a8f65a32668e0a988b579</anchor>
      <arglist>(const bool revoked)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setExpired</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>ae9fb78dcb3d5f7a1b17b984e00e57fe3</anchor>
      <arglist>(const bool expired)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDisabled</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>aed47de6b2013c6024174885c4c9f7187</anchor>
      <arglist>(const bool disabled)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInvalid</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a5050e9804070f5f6a6346e590e39b31e</anchor>
      <arglist>(const bool invalid)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanEncrypt</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a7c1e0187a0853efca290700046e218bc</anchor>
      <arglist>(const bool canEncrypt)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanSign</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>aadf81966c3a7cf5bc243041ca136801e</anchor>
      <arglist>(const bool canSign)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanCertify</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>ace206302a33956db69c2bcc55b8bcf8c</anchor>
      <arglist>(const bool canCertify)</arglist>
    </member>
    <member kind="function">
      <type>EncryptPref</type>
      <name>encryptionPreference</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>ace3391e101c90b66f16eafa4a4c3638a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEncryptionPreference</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>aaa1986387d3466f1c359451b94a69f33</anchor>
      <arglist>(const EncryptPref encrPref)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>primaryUserID</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a33171f22aeccaefc4b48b9cec9c7f3a6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KeyID</type>
      <name>primaryKeyID</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>adc238f387d947a9385604fd73e4e029a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>primaryFingerprint</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>aebc69ac4e73ba3dbb49461ca0eaf0d32</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>ad23f86a3ddfdd0680dfb7283a4187bd1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>time_t</type>
      <name>creationDate</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>aced5e0b6dbf5a8478b4ff66b606f14d9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Validity</type>
      <name>keyTrust</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>ac3c534c23f6d6a9c4f52eae480080fd1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Validity</type>
      <name>keyTrust</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>aa986bfaf9e52e432ec61f0873db106ed</anchor>
      <arglist>(const TQString &amp;uid) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cloneKeyTrust</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>ab9967abc22456500a6dfdfe043bc4aaf</anchor>
      <arglist>(const Key *key)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a6e22fefc5ac850f4a1f2052109dcf86f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValidEncryptionKey</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>abc892aedaa61899ea70ba0051edfdf9a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValidSigningKey</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>ac9207a8d3bae3e72fa48f78ce2de2991</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const UserIDList</type>
      <name>userIDs</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>ab4d18f8281f520435b841d8f27da5538</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const SubkeyList</type>
      <name>subkeys</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>ad79985abb8fbaa3db551fd3ccd3aa103</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addUserID</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a70fccc0681c394559a5e3161ee992dcf</anchor>
      <arglist>(const TQString &amp;uid, const Validity validity=KPGP_VALIDITY_UNKNOWN, const bool revoked=false, const bool invalid=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addUserID</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a48d0a19a02556f604d968822dbf75cda</anchor>
      <arglist>(const UserID *userID)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>matchesUserID</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a227346be989c6df90c372a760b3a48dd</anchor>
      <arglist>(const TQString &amp;str, bool cs=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addSubkey</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>acf1b5e7846cbe15faf57be7168ec3d1c</anchor>
      <arglist>(const KeyID &amp;keyID, const bool secret=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addSubkey</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a2d44956faf2cb23a171c35540ee60155</anchor>
      <arglist>(const Subkey *subkey)</arglist>
    </member>
    <member kind="function">
      <type>Subkey *</type>
      <name>getSubkey</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>af520d70766bd34cd3f3bd51c6af3f8ba</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFingerprint</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a494d50dbe3f112fb4c651b59b0fc848b</anchor>
      <arglist>(const KeyID &amp;keyID, const TQCString &amp;fpr)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::PassphraseDialog</name>
    <filename>classKpgp_1_1PassphraseDialog.html</filename>
  </compound>
  <compound kind="class">
    <name>Kpgp::Subkey</name>
    <filename>classKpgp_1_1Subkey.html</filename>
    <member kind="function">
      <type></type>
      <name>Subkey</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a4a0d7fae985dd1caf286f52e87e06e1c</anchor>
      <arglist>(const KeyID &amp;keyID, const bool secret=false)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>secret</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>ae02348b02521fee117489ade3696efd1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>revoked</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>adb1140aba09db09eafe23d24e8f8068f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>expired</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a28ac674de09ddbff6895495da70b19de</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>disabled</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a89e68e8efdf28786cb873795656b3e5c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>invalid</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a980c9b84a7ada58aa25ec9e94e6063c0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canEncrypt</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a4641c9da8faff531804cc5f3f9b1f332</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canSign</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>ad096167a17794c67b8f6288e27b8c7b3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canCertify</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a7123ba165340ee5c42ef0ac6e9b0424f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>keyAlgorithm</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a68185eaa39fbe99cb2e26915b1fc2641</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>keyLength</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a5a5e612341a41b7938a4bae59cb9caec</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KeyID</type>
      <name>longKeyID</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a8ef7b0b8b10e4c7026c45ad2e35c67eb</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KeyID</type>
      <name>keyID</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>ab6223e57038cb58aaf9f94d9feaf6d2a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>fingerprint</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>af3f8f8291908c4bafbac3c160663ef03</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>time_t</type>
      <name>creationDate</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a2768c9bf5ece5048faaebf48de65dea1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>time_t</type>
      <name>expirationDate</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a1396272b3b2a22a382e5d7fbd3620301</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSecret</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a0d2ae833901945891e10c5157e2b81a2</anchor>
      <arglist>(const bool secret)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRevoked</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a2f8b4ed30f3d9c32fbd9da3531f2a5b8</anchor>
      <arglist>(const bool revoked)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setExpired</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a794b6394295da947e3a57d4804b34c28</anchor>
      <arglist>(const bool expired)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDisabled</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a2a6a430f8b0971b610d2f637a061f910</anchor>
      <arglist>(const bool disabled)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInvalid</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>abd3dc8d2fa22b7ab41004202c075f83d</anchor>
      <arglist>(const bool invalid)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanEncrypt</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a5411d5086048cbe865b159c5aa6c905a</anchor>
      <arglist>(const bool canEncrypt)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanSign</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a656d74041c13b493300b57b29d1fa691</anchor>
      <arglist>(const bool canSign)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanCertify</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a33a4f9f3c43a1526363c96539bd16d12</anchor>
      <arglist>(const bool canCertify)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKeyAlgorithm</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a43405028147065497aed93250b6f90a9</anchor>
      <arglist>(const unsigned int keyAlgo)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKeyLength</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a4f704202538efa058355734054b5994b</anchor>
      <arglist>(const unsigned int keyLen)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKeyID</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>acf8065480a2f4dcb1b2b868617723897</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFingerprint</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a361e8a829a37de479fd387bb8e7ec806</anchor>
      <arglist>(const TQCString &amp;fingerprint)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCreationDate</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>ad40a4cd6fc05a0e8767fbe7d49dddd51</anchor>
      <arglist>(const time_t creationDate)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setExpirationDate</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>aeca531b253fa20e9a638283369f0d430</anchor>
      <arglist>(const time_t expirationDate)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::UserID</name>
    <filename>classKpgp_1_1UserID.html</filename>
    <member kind="function">
      <type></type>
      <name>UserID</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>a4733d540526a6f9317981e0cd392f5a6</anchor>
      <arglist>(const TQString &amp;str, const Validity validity=KPGP_VALIDITY_UNKNOWN, const bool revoked=false, const bool invalid=false)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>text</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>a82d4f55273564a2fd63b86b96080742d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>revoked</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>abcfb2070872d57a953e6ec4e7594c59e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>invalid</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>a7e840d778813e6e967a4c6ac293fac40</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Validity</type>
      <name>validity</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>ad7f979629bcd69150f19d5b926db358f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setText</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>abe248e858303e2a19e95471b4cd84d90</anchor>
      <arglist>(const TQString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRevoked</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>a953ba47b0d3b851ed74ee213073f2676</anchor>
      <arglist>(const bool revoked)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInvalid</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>a776a01517cd7460018341834fe17b8ca</anchor>
      <arglist>(const bool invalid)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setValidity</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>a267fe61162401407c9af317589d9327e</anchor>
      <arglist>(const Validity validity)</arglist>
    </member>
  </compound>
</tagfile>
